MongoUpdateBatch::__construct
MongoDeleteBatch::__construct
Batch Classes
PHP Manual

# The MongoDeleteBatch class

(PECL mongo >=1.5.0)

## Introduction

Constructs a batch of DELETE operations. See MongoWriteBatch.

## Class synopsis

MongoDeleteBatch extends MongoWriteBatch {
/* Methods */
public __construct ( MongoCollection `$collection` [, array `$write_options` ] )
/* Inherited methods */
public bool MongoWriteBatch::add ( array `$item` )
final public array MongoWriteBatch::execute ( array `$write_options` )
}

## Table of Contents

- MongoDeleteBatch::__construct — Description

MongoUpdateBatch::__construct
MongoDeleteBatch::__construct
Batch Classes
PHP Manual